#pragma once

#include "CoreMinimal.h"
#include "BasicChargeableInteraction.h"
#include "Templates/SubclassOf.h"
#include "DBDTunableRowHandle.h"
#include "CollectVoidBombInteraction.generated.h"

class ACollectable;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UCollectVoidBombInteraction : public UBasicChargeableInteraction
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<ACollectable> _voidBombCollectable;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _playerCraftedPriorityDuration;

public:
	UCollectVoidBombInteraction();
};

FORCEINLINE uint32 GetTypeHash(const UCollectVoidBombInteraction) { return 0; }
